package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.agentInfo.AgentOrder;
import com.iamberry.wechat.core.entity.agentInfo.AgentOrderItem;
import com.iamberry.wechat.core.entity.agentInfo.OrderHint;

import java.util.List;

/**
 *  采购订单
 */
public interface AgentPurchaseOrderMapper {

    /**
     * 添加订单
     * @param agentOrder
     * @return
     */
    Integer addAgentOrder(AgentOrder agentOrder);

    /**
     * 添加订单项
     * @param agentOrderItemList
     * @return
     */
    Integer addAgentOrderItemList(List<AgentOrderItem> agentOrderItemList);

    /**
     * 查询订单项
     * @param agentOrderItem
     * @return
     */
    List<AgentOrderItem> listAgentOrderItem(AgentOrderItem agentOrderItem);

    /**
     *  修改采购订单
     * @param agentOrder
     * @return
     */
    Integer updateAgentPurchaseOrder(AgentOrder agentOrder);

    /**
     * 查询代理商订单信息,可分页
     * @param agentOrder
     * @return
     */
    List<AgentOrder> listAgentOrder(AgentOrder agentOrder);

    /**
     * 查询代理商订单信息数量
     * @param agentOrder
     * @return
     */
    Integer listAgentOrderCount(AgentOrder agentOrder);

    /**
     * 批量查询需要更换刷头的订单
     * @param orderHint
     * @return
     */
    List<OrderHint> listOrderHint(OrderHint orderHint);

    /**
     * 批量修改更换刷头信息
     * @param list
     * @return
     */
    Integer updateOrderHintList(List<OrderHint> list);

    /**
     * 添加更换刷头信息
     * @param orderHint
     * @return
     */
    Integer addOrderHint(OrderHint orderHint);

    /**
     * 查询代理商订单列表 不分页
     * @param agentOrder
     * @return
     */
    List<AgentOrder> listSelectAgentOrder(AgentOrder agentOrder);

    /**
     * 修改备注信息
     * @param agentOrder
     * @return
     */
    Integer updateRemark(AgentOrder agentOrder);
}
